---
apiVersion: v1
kind: Pod
metadata:
  creationTimestamp: "2022-03-08T10:14:00Z"
  generateName: network-operator-79b76f75b6-
  labels:
    name: network-operator
    pod-template-hash: 79b76f75b6
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:labels:
          .: {}
          f:name: {}
          f:pod-template-hash: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"8d74f1f0-03c5-4581-aaf8-5e63176eaf6c"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:containers:
          k:{"name":"network-operator"}:
            .: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"CNI_PLUGINS_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"KUBE_PROXY_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"KUBE_RBAC_PROXY_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"KURYR_CONTROLLER_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"KURYR_DAEMON_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"MULTUS_ADMISSION_CONTROLLER_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"MULTUS_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NETWORK_METRICS_DAEMON_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OVN_CONTROLLER_INACTIVITY_PROBE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OVN_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OVN_NB_RAFT_ELECTION_TIMER"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OVN_NORTHD_PROBE_INTERVAL"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OVN_SB_RAFT_ELECTION_TIMER"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"POD_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
              k:{"name":"RELEASE_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"ROUTE_OVERRRIDE_CNI_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"SDN_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"WHEREABOUTS_CNI_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/kubernetes/kubeconfig"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:hostNetwork: {}
        f:nodeSelector:
          .: {}
          f:node-role.kubernetes.io/master: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext:
          .: {}
          f:runAsNonRoot: {}
          f:runAsUser: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"host-kubeconfig"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
    manager: kube-controller-manager
    operation: Update
    time: "2022-03-08T10:14:00Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          .: {}
          k:{"type":"PodScheduled"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
    manager: kube-scheduler
    operation: Update
    time: "2022-03-08T10:14:00Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.0.94.119"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    time: "2022-03-08T10:38:02Z"
  name: network-operator-79b76f75b6-shnrd
  namespace: openshift-network-operator
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: network-operator-79b76f75b6
    uid: 8d74f1f0-03c5-4581-aaf8-5e63176eaf6c
  resourceVersion: "4768"
  selfLink: /api/v1/namespaces/openshift-network-operator/pods/network-operator-79b76f75b6-shnrd
  uid: e1937cdc-e6dd-4ea7-a401-b00a0988c6ef
spec:
  containers:
  - command:
    - /usr/bin/cluster-network-operator
    - --url-only-kubeconfig=/etc/kubernetes/kubeconfig
    env:
    - name: RELEASE_VERSION
      value: 4.6.52
    - name: SDN_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:980d20b31cdcd9db0a94e393b53799985ea399bbe8dbd552bf2e27e32cf0be7e
    - name: KUBE_PROXY_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:f065386fd6f2bb8c818fee2d6701716e3b751345bac51af9d577646cd16b7fdf
    - name: KUBE_RBAC_PROXY_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:533973e0b3b8e64b0fd672a78ebabc5accc5f9a969c6a610ce14aa73d9685874
    - name: MULTUS_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:f54f352668f99e4776c12a0b9477bf1910af43bc27f7d17cdf6d9dd494b408fe
    - name: MULTUS_ADMISSION_CONTROLLER_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:88fbce0b30a1d0786fbdfeb0f93431d4703f1a0ec974f7e9426859dee8619c9b
    - name: CNI_PLUGINS_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:9290248773de78bc750709a850ef66bd0d32a64ab1ed5228d344557e8bade398
    - name: WHEREABOUTS_CNI_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:42aff16d4f81f800424c77d3200b5952f0ff3c58ca1ea01dbceb37ef25df0754
    - name: ROUTE_OVERRRIDE_CNI_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3816ed95856807e1d3d7d6194adcb7a1df78972d512253d5b9b621fd395c0fe9
    - name: OVN_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ec390548ef493d39cfbace915729b4283658fc722d78083b9c1d5871ab0f06d9
    - name: OVN_NB_RAFT_ELECTION_TIMER
      value: "10000"
    - name: OVN_SB_RAFT_ELECTION_TIMER
      value: "16000"
    - name: OVN_NORTHD_PROBE_INTERVAL
      value: "5000"
    - name: OVN_CONTROLLER_INACTIVITY_PROBE
      value: "30000"
    - name: KURYR_DAEMON_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:779476522864d5dd6ff64bafa91bcdf08934f8d7f06a6a7124c144784564b912
    - name: KURYR_CONTROLLER_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:7d0395bc07ebbbd35d65e884623939e4d63c6d0aec82412b456d8fe4bc0db43b
    - name: NETWORK_METRICS_DAEMON_IMAGE
      value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:a97c9a38c7b4900d593ddeb44e98e6351f7b8ebbc0dffc406ead0dc4cb7a1ed1
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:c293b27533b002d4d330ba3c56a91ac1932744ad46b7dc87f0d334eb7e0fabc7
    imagePullPolicy: IfNotPresent
    name: network-operator
    resources:
      requests:
        cpu: 10m
        memory: 50Mi
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /etc/kubernetes/kubeconfig
      name: host-kubeconfig
      readOnly: true
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: default-token-b2qps
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  hostNetwork: true
  nodeName: master-0.case03116926.lab.upshift.rdu2.redhat.com
  nodeSelector:
    node-role.kubernetes.io/master: ""
  preemptionPolicy: PreemptLowerPriority
  priority: 2000000000
  priorityClassName: system-cluster-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    runAsNonRoot: true
    runAsUser: 65534
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoSchedule
    key: node-role.kubernetes.io/master
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/not-ready
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/network-unavailable
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - hostPath:
      path: /etc/kubernetes/kubeconfig
      type: ""
    name: host-kubeconfig
  - name: default-token-b2qps
    secret:
      defaultMode: 420
      secretName: default-token-b2qps
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2022-03-08T10:37:57Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2022-03-08T10:38:02Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2022-03-08T10:38:02Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2022-03-08T10:37:57Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://2240e55ccda9b029908a67a2138de704208d05629fa497311a810ac4a821d72a
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:c293b27533b002d4d330ba3c56a91ac1932744ad46b7dc87f0d334eb7e0fabc7
    imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:c293b27533b002d4d330ba3c56a91ac1932744ad46b7dc87f0d334eb7e0fabc7
    lastState: {}
    name: network-operator
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2022-03-08T10:38:01Z"
  hostIP: 10.0.94.119
  phase: Running
  podIP: 10.0.94.119
  podIPs:
  - ip: 10.0.94.119
  qosClass: Burstable
  startTime: "2022-03-08T10:37:57Z"
